
Foreman - Bug #27500

rake db:migrate fails on missing relation when registering fields from plugins

08/02/2019 08:05 AM - Ondřej Pražák

Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category: API   

Target version:    

Difficulty:  Fixed in Releases: 1.24.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6949

  

Description

Steps to reproduce:

1) have a foreman where db:create and db:migrate was already executed

2) add a plugin registering graphql fields with plugin dsl, bundle

3) run db:migrate

The cause is that `field` methods are called within the type class immediately when the class constant is used, so we need to use

strings for registration and constantize later.

Related issues:

Related to Foreman - Feature #27190: graphql: add plugin DSL for registering ... Closed

Associated revisions

Revision d84dfbbd - 08/13/2019 11:09 AM - Ondřej Pražák

Fixes #27500 - Use strings to register graphql types

History

#1 - 08/02/2019 08:12 AM - Ondřej Pražák

- Related to Feature #27190: graphql: add plugin DSL for registering plugin fields added

#2 - 08/02/2019 08:14 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6949 added

#3 - 08/13/2019 11:09 AM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#4 - 08/13/2019 12:01 PM - Ondřej Pražák

- Status changed from Ready For Testing to Closed

Applied in changeset d84dfbbd486d98d3cc1160dab13dd7ebf6686460.

#5 - 10/24/2019 12:24 PM - Amit Upadhye

- Category set to API
